MWAWPictBitmap.cxx File Reference
`#include <sstream>`
`#include <string>`
`#include <librevenge/librevenge.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWPictBitmap.hxx"`

## Namespaces
namespace | MWAWPictBitmapInternal
| Internal: namespace used to define some internal function.

## Functions
template<class T>
bool | MWAWPictBitmapInternal::getPBMData (MWAWPictBitmapContainer< T > const &orig, librevenge::RVNGBinaryData &data, T white)
| Internal: helper function to create a PBM.
template<class T>
bool | MWAWPictBitmapInternal::getPPMData (MWAWPictBitmapContainer< T > const &orig, librevenge::RVNGBinaryData &data, std::vector< MWAWColor > const &indexedColor)
| Internal: helper function to create a PPM.
static bool | MWAWPictBitmapInternal::getPPMData (MWAWPictBitmapContainer< MWAWColor > const &orig, librevenge::RVNGBinaryData &data)
| Internal: helper function to create a PPM for a color bitmap.
static void | MWAWPictBitmapInternal::writeU16 (unsigned char *buffer, unsigned &position, const unsigned value)
static void | MWAWPictBitmapInternal::writeU32 (unsigned char *buffer, unsigned &position, const unsigned value)
static bool | MWAWPictBitmapInternal::getBMPData (MWAWPictBitmapContainer< MWAWColor > const &orig, librevenge::RVNGBinaryData &data)
| Internal: helper function to create a BMP for a color bitmap (freely inspired from libpwg::WPGBitmap.cpp).